<?php

error_reporting(E_ALL);

include 'config.php';
include 'lib/MykassaModel.php';
include 'lib/Mykassa.php';

class MykassaEvent
{
    public function check($params)
    {
        try {
            $mykassaModel = MykassaModel::getInstance();

            if ($mykassaModel->getAccountByName($params['us_account'])) {
                return true;
            }
            return 'Character not found';
        } catch(Exception $e) {
            return $e->getMessage();
        }
    }

    public function pay($params)
    {
         $mykassaModel = MykassaModel::getInstance();
         $countItems = floor($params['AMOUNT'] / Config::ITEM_PRICE);
         $mykassaModel->donateForAccount($params['us_account'], $countItems);
    }
}

$payment = new Mykassa (
    new MykassaEvent()
);

echo $payment->getResult();
